# $Revision: 1.3 $, $Date: 2011/03/05 13:02:43 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Refresh
Summary:	Module::Refresh - refresh %%INC files when updated on disk
Summary(pl.UTF-8):	Module::Refresh - odświeżanie plików %%INC po uaktualnieniu na dysku
Name:		perl-Module-Refresh
Version:	0.13
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d968e32fc272b5a258f527504c99dc7d
URL:		http://search.cpan.org/dist/Module-Refresh/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a generalization of the functionality provided by
Apache::StatINC and Apache::Reload. It's designed to make it easy to
do simple iterative development when working in a persistent
environment.

%description -l pl.UTF-8
Ten moduł jest uogólnieniem funkcji udostępnianych przez moduły
Apache::StatINC i Apache::Reload. Ma ułatwić proste programowanie
iteracyjne przy pracy w trwałym środowisku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Module/Refresh.pm
%{_mandir}/man3/Module::Refresh.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Refresh.spec,v $
Revision 1.3  2011/03/05 13:02:43  qboosh
- pl

Revision 1.2  2009/09/07 09:34:48  amateja
- release 2

Revision 1.1  2009/03/13 12:53:31  paszczus
- initial
